<!-- Creado: Jorge Antonio Mendoza Salazar, 09/03/2017. Se crea la la vista. -->

<?php
  use App\Libraries\ejLib;
  $var = ejLib::getInstance();
  $soapclient = $var->getWs();
  $wsClave = $var->get_wsClave();

  $r_vCat_CentroSalud = $soapclient->vCat_CentroSalud($wsClave);
  $RS_vCat_CentroSalud  = new SimpleXMLElement(utf8_encode($r_vCat_CentroSalud));

  $r_vCat_NivelEstudios = $soapclient->vCat_NivelEstudios($wsClave);
  $RS_vCat_NivelEstudios = new SimpleXMLElement(utf8_encode($r_vCat_NivelEstudios));
?>

<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/jqv/dist/jquery.validate.js"></script>
<script src="js/validar/root.js"></script>
<script src="js/notify.js"></script>

<script>
  $(document).ready(function() {
    ///////////////////////////////////////////////////////////////////////////////////////
    //                                  Visualizar Clave
    ///////////////////////////////////////////////////////////////////////////////////////
    $('.eye').css('opacity','0.6');

    $('.eye').hover(function () {
      $('.password').attr('type', 'text');
      $(this).css('cursor','pointer');
      $(this).css('opacity','1');
    }, function () {
       $('.password').attr('type', 'password');
       $(this).css('opacity','0.6');
    });

    ///////////////////////////////////////////////////////////////////////////////////////
    //                                    Guardar Cuenta
    ///////////////////////////////////////////////////////////////////////////////////////
    $(function() {
      $("#btn_guardar_ac2").click(function() {
        $.ajax({
          type: "POST",
          url: 'cuentas_admin-AdministradoresDeCS_add_Usuario',
          data: $("#admin_cuentas2").serialize(),
          success: function(data) {
            xmlDoc = $.parseXML( data ),
            $xml = $( xmlDoc );
            $($xml).each(function() {
              var error = ($(this).find("Respuesta>error").text());
              var titulo = ($(this).find("Respuesta>titulo").text());
              var descripcion = ($(this).find("Respuesta>descripcion").text());

              if(error==0) {
                $.notify("Registro insertado exitosamente", "success");
                $('#admin_cuentas2')[0].reset();
              }
              if(error==1) {
                $.notify(descripcion, "error");
                $.notify(titulo, "error");
              }
            });
          },
          error : function(xhr, status) {
            $.notify("No se pudo realizar el registro", "error");
          },
        });
        return false;
      });
    });

    $( ".cerrar_form" ).click(function() {
      jqGetAjax("cerrar","tblMovimientos", { });
    });
  });
</script>

<form id="admin_cuentas2">
  <input type="hidden" name="_token" value="{{csrf_token()}}">
  <div class="row">
    <div class="titulo_fondo">
      <img src="Img/close.png" height="20" class="cerrar_form" />
      <div class="titulo_pagina2">AGREGAR NUEVA CUENTA</div>
    </div>
  </div>

  <div class="row" style="margin-bottom: 10px;">
    <div class="input-group-sm form-group-sm  col-sm-2">
      Centro de salud
      <select id="centro_s" name="centro_s" class="form-control">
        <option disabled selected>Elija una opción</option>
        @foreach($RS_vCat_CentroSalud->respuesta as $cs)
          <option value="{!! $cs->centro_sal !!}">{!! utf8_decode($cs->desc_centr) !!}</option>
        @endforeach
      </select>
    </div>

    <div class=" form-group-sm  col-sm-2 ">
      <span >Nombre</span>
      <input type="text" class="form-control" name="nombre_ac2" id="nombre_ac2" autofocus="" placeholder="Máximo 50 caracteres">
    </div>

    <div class=" form-group-sm  col-sm-2 ">
      <span >1er Apellido</span>
      <input type="text" class="form-control" name="apellido_1_ac2" id="apellido_1_ac2" placeholder="Máximo 50 caracteres" >
    </div>

    <div class=" form-group-sm  col-sm-2 ">
      <span >2do Apellido</span>
      <input type="text" class="form-control"  name="apellido_2_ac2" id="apellido_2_ac2" placeholder="Máximo 50 caracteres" >
    </div>

    <div class="input-group-sm form-group-sm  col-sm-2">
      Nivel de Estudios
      <select id="nivel_e" name="nivel_e" class="form-control">
        <option disabled selected>Elija una opción</option>
        @foreach($RS_vCat_NivelEstudios ->respuesta as $ne)
          <option value="{!! $ne->cve_est !!}">{!! utf8_decode($ne->descripcion_est) !!}</option>
        @endforeach
      </select>
    </div>
  </div>

  <div class="row">
    <div class="form-group-sm  col-sm-2">
      <span>Especialidad</span>
      <input type="text" class="form-control" name="especialidad_ac2" id="especialidad_ac2" placeholder="Máximo 50 caracteres" >
    </div>

    <div class="form-group-sm  col-sm-2">
      <span>Usuario</span>
      <input type="text" class="form-control" name="usuario_ac2" id="usuario_ac2" placeholder="Máximo 50 caracteres" >
    </div>

    <div class="form-group-sm  col-sm-2">
      <span>Clave Temporal</span>
      <div class="input-group input-group-sm col-sm-12">
        <span class="input-group-addon eye" id="sizing-addon3"><img src="img/eye.png"  height="12px" ></span>
        <input type="text" class="form-control password"  name="clave_ac2" id="clave_ac2" placeholder="Máximo 32 caracteres">
      </div>
    </div>
  </div>
  <br>

  <div class="sombra_cm">
    <div class="form-group-sm">
      <button type="submit" id="btn_guardar_ac2">Guardar</button>
    </div>
  </div>
</form>
